type token =
    IDENT of (string)
  | TRUE
  | FALSE
  | CST_INT of (string)
  | NAMED_TYPE of (string)
  | EOF
  | BOOL
  | INT
  | VOID
  | NULL
  | EQ
  | ARROW
  | DOT
  | EQ_EQ
  | EXCLAM_EQ
  | INF
  | SUP
  | INF_EQ
  | SUP_EQ
  | PLUS
  | MINUS
  | STAR
  | SLASH
  | PERCENT
  | EXCLAM
  | AND_AND
  | PIPE_PIPE
  | RPAREN
  | LPAREN
  | RBRACE
  | LBRACE
  | LBRACKET
  | RBRACKET
  | COLON
  | SEMICOLON
  | COMMA
  | CLASS
  | EXTENDS
  | PUBLIC
  | PROTECTED
  | PRIVATE
  | STATIC
  | FINAL
  | IF
  | ELSE
  | WHILE
  | FOR
  | RETURN
  | NEW
  | THIS
  | SUPER

val file :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Javasyntax.javaprog
val cdecl :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Javasyntax.javaclassdecl
val statement :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Javasyntax.javastat
val expression :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Javasyntax.javaexp
